- Home
- API Enriched
- Shape
- shape
- GET SAFE Anayst Transaction Details.
GET SAFE Anayst Transaction Details.
GET
/api/shape/safe/namespaces/{namespace}/safe/sas/transaction_details
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/transaction_details';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/transaction_details \ --header 'Authorization: <Authorization>'GET a detailed information about the requested transaction.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required namespace is used to scope the query.
Query Parameters
Section titled “Query Parameters”transaction_id
string
Transaction identifier.
version
string
The API version to use.
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
GetSafeTransactionDetailsResponse
Any payload to be return by Safe SAS Transaction Details API.
object
body
Body
Data received from the downstream server.
string format: byte
Examplegenerated
{ "body": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example